In documentation code examples, replace <API_KEY_VALUE> with the session token.
Path Parameters
category_guid
string
required
The unique identifier for the category. Defined by MX.
Response
200 - application/vnd.mx.nexus.v1+json
OK
category
object
Hide child attributes
category.created_at
string | null
Date and time the category was created, represented in ISO 8601 format with timestamp (e.g. 2015-04-13T12:01:23-00:00). This field will always be null when is_default is true.
Example:
"2015-04-13T12:01:23.000Z"
category.guid
string
Unique identifier for the category. Defined by MX.
Example:
"CAT-de7c2dc7-90e6-85a2-6509-5ec10942e887"
category.is_default
boolean | null
If the category is a default category, this field will be true. Otherwise, this field will be false.
Example:
true
category.is_income
boolean | null
If the category is income, this field will be true. Otherwise, this field will be false.
Example:
true
category.metadata
string | null
Additional information a partner can store on the category.
Example:
"Additional information"
category.name
string
Name of the sub-category.
Example:
"Auto Insurance"
category.parent_guid
string
Unique identifier for the parent category. If the category is a default category, this field will be "null". Defined by MX.
Example:
"CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874"
category.updated_at
string
Date and time the category was last updated, represented in ISO 8601 format with timestamp (e.g. 2015-04-13T12:01:23-00:00). This field will always be null when is_default is true.